<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: FEMB_DAQ_FIFO Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">FEMB_DAQ_FIFO Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FEMB_DAQ_FIFO:</div>
<div class="dyncontent">
<div class="center"><img src="classFEMB__DAQ__FIFO__inherit__graph.png" border="0" usemap="#FEMB__DAQ__FIFO_inherit__map" alt="Inheritance graph"/></div>
<map name="FEMB__DAQ__FIFO_inherit__map" id="FEMB__DAQ__FIFO_inherit__map">
<area shape="rect" id="node3" href="classFEMB.html" title="FEMB" alt="" coords="44,155,104,181"/><area shape="rect" id="node2" href="classCDRAM.html" title="CDRAM" alt="" coords="37,5,111,32"/><area shape="rect" id="node4" href="classWIB.html" title="WIB" alt="" coords="50,229,98,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classFEMB__DAQ__FIFO-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a1a7369aeafa8e07dc7207d2a2d771b47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a7369aeafa8e07dc7207d2a2d771b47"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a1a7369aeafa8e07dc7207d2a2d771b47">COLDATA_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCOLDATA__IO.html"> &lt;COLDATA_IO&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a898924d2594736ee9bbd20dbb0d76877"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a898924d2594736ee9bbd20dbb0d76877"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a898924d2594736ee9bbd20dbb0d76877">clk_128Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaa410f4bf3a034fce535cc6fde25b928"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa410f4bf3a034fce535cc6fde25b928"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#aaa410f4bf3a034fce535cc6fde25b928">COLDATA_stream</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a77e2d417b6a2e95ffbcadd61d77ac317"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77e2d417b6a2e95ffbcadd61d77ac317"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a77e2d417b6a2e95ffbcadd61d77ac317">convert</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ceebf5e65da89001acd7c0b7115005b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ceebf5e65da89001acd7c0b7115005b"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a9ceebf5e65da89001acd7c0b7115005b">convert_delay</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9eb76af85ac4bfd0575d4ffb8a9cbdef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9eb76af85ac4bfd0575d4ffb8a9cbdef"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a9eb76af85ac4bfd0575d4ffb8a9cbdef">clk_EVB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2c43e257bc2fe6bc7d09b02cbca88cbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c43e257bc2fe6bc7d09b02cbca88cbf"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a2c43e257bc2fe6bc7d09b02cbca88cbf">frame_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa4016235ca703490c158c9fc9529baed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4016235ca703490c158c9fc9529baed"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#aa4016235ca703490c158c9fc9529baed">capture_errors</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a13f7cd979fe7ecfd437b246ffc706c70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13f7cd979fe7ecfd437b246ffc706c70"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a13f7cd979fe7ecfd437b246ffc706c70">CD_errors</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae44f399b313da0e942928aa6faa0dacd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae44f399b313da0e942928aa6faa0dacd"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#ae44f399b313da0e942928aa6faa0dacd">CD_timestamp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa87441704ef2fca215297012364ae4d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa87441704ef2fca215297012364ae4d2"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#aa87441704ef2fca215297012364ae4d2">rd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7eb87e33e0634b79ef4a71d7fb94b304"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7eb87e33e0634b79ef4a71d7fb94b304"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a7eb87e33e0634b79ef4a71d7fb94b304">data_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9d0d33bccdaabece220dd9074507ca8b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d0d33bccdaabece220dd9074507ca8b"></a>
<a class="el" href="classFEMB__DAQ__FIFO.html#a9d0d33bccdaabece220dd9074507ca8b">data_out_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="FEMB__DAQ__FIFO_8vhd_source.html#l00007">7</a> of file <a class="el" href="FEMB__DAQ__FIFO_8vhd_source.html">FEMB_DAQ_FIFO.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/src/FEMB/<a class="el" href="FEMB__DAQ__FIFO_8vhd_source.html">FEMB_DAQ_FIFO.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 12 2016 20:58:00 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
